-- ===========================================================================
-- AClock displays coordinated universal time.
-- (e.g. 2016/251/10:05:39Z)
-- Copyright (C) 2016-2016 Eric T. Hughes (a.k.a. "Eboneezur")
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program.  If not, see <http://www.gnu.org/licenses/>.
-- ===========================================================================
--------------------------------------------------------------------------------------------------------
--                                             AceAddon init                                          --
--------------------------------------------------------------------------------------------------------
Broker_AClock = LibStub("AceAddon-3.0"):NewAddon("Broker_AClock", "AceEvent-3.0")
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local L = LibStub("AceLocale-3.0"):GetLocale("Broker_AClock")


--------------------------------------------------------------------------------------------------------
--                                        Broker_AClock core                                         --
--------------------------------------------------------------------------------------------------------
function Broker_AClock:OnInitialize()
end

-- LDB object
Broker_AClock.obj = ldb:NewDataObject("Broker_AClock", {
  type = "data source",
  label = "AClock",
  text = "SHOW",
  icon = "Interface\\Addons\\AClock\\images\\bit_default",
  OnClick = function(frame, msg)
    if msg == "RightButton" then
      Broker_AClock.obj.text = "CONFIG"
      InterfaceOptionsFrame_OpenToCategory(tblClock.panel)
      InterfaceOptionsFrame_OpenToCategory(tblClock.panel.name)	  
    elseif msg == "LeftButton" then
        Broker_AClock.obj.label = "AClock"

      if (0 == tblClock:IsDisplayed()) then
        Broker_AClock.obj.text = "SHOW"        
      else
        Broker_AClock.obj.text = "HIDE"        
      end

      tblClock:Toggle()
    end
  end,
  OnTooltipShow = function(tooltip)
    if not tooltip or not tooltip.AddLine then return end
    tooltip:AddLine("AClock V"..GetAddOnMetadata("AClock", "Version"))
    tooltip:AddLine(L["Left-hint"])
    tooltip:AddLine(L["Right-hint"])
  end,
})
